//
//  ContentView.swift
//  MarkdownUITest
//
//  Created by Tim Fischer on 3/29/22.
//

import SwiftUI
import MarkdownUI

struct ContentView: View {
    @Binding var selected: Int
    var body: some View {
        TabView(selection: $selected) {
            // Home View
            Text("Home")
            .tabItem {
                Image(systemName: "house")
            }

            // Browse View
            Text("Browse")
                .tabItem {
                    Image(systemName: "folder")
            }

            // Notifications View
           MarkdownTestView()
            .tabItem {
                Image(systemName: "bell")
            }
        }
    }
}

struct MarkdownTestView: View {
    var body: some View {
        Markdown("![alt text](image.jpg)")
    }
}

struct ContentView_Previews: PreviewProvider {
    @State static var selected = 0
    static var previews: some View {
        ContentView(selected: $selected)
    }
}
